[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [m2e-users] Project configuration is not up-to-date with pom.xml

Hi Thorbjørn. Does that mean that if I use Maven from the command line I can ignore this? 

I am running WebLogic server and have Oracle Enterprise for Eclipse installed from the marketplace.


On Mon, Aug 26, 2013 at 2:22 PM, Thorbjørn Ravn Andersen <thunderaxiom@xxxxxxxxxxx> wrote:

This is m2e that has become confused.  This is irrelevant to command line maven runs.

 

Would “wls.ejb” be caused by your Eclipse having any weblogic tools installed or is there another cause?

 

 

 

From: m2e-users-bounces@xxxxxxxxxxx [mailto:m2e-users-bounces@xxxxxxxxxxx] On Behalf Of Jarlath Reidy
Sent: 26. august 2013 13:42
To: m2e-users@xxxxxxxxxxx
Subject: [m2e-users] Project configuration is not up-to-date with pom.xml

 

I have errors with my Maven projects which I've just checked out from SVN (as Maven projects). I have the error:

 

    "Project configuration is not up-to-date with pom.xml. Run Maven->Update Project or use Quick Fix."

 

But the quick fix doesn't actually work - it suggests running Maven->Update Project which yields another error:

 

    An internal error occurred during: "Updating Maven Project". Version null of project facet wls.ejb does not exist.

 

Surprisingly, maven does build with "success". Can anyone enlighten me as to what the cause of this issue is and it's possible resolution?

 

Thanks & regards,

Jarlath


_______________________________________________
m2e-users mailing list
m2e-users@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/m2e-users